# Create new stream destination
`POST https://octopus.livepush.io/streams/{stream_id}/destinations`
Creates and attaches a new streaming destination to the specified
live stream.

This endpoint is used to add platforms such as YouTube, Facebook,
or custom RTMP destinations to an existing live stream.
- **Tag:** Destinations
- **Operation ID:** `postStreamsStreamIdDestinations`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/destinations/create-new-stream-destination/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the live stream |


### Request body

`application/json` (required)

- `label` (string) **required** — Human-readable name for the destination
- `appName` (string) **required** — Destination platform identifier (e.g. youtube, facebook)
- `rtmpBase` (string) **required** — Base RTMP ingest URL
- `rtmpKey` (string) **required** — RTMP stream key


```json
{
  "label": "string",
  "appName": "string",
  "rtmpBase": "string",
  "rtmpKey": "string"
}
```


### Example request

```bash
curl -X POST 'https://octopus.livepush.io/streams/<stream_id>/destinations' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "label": "string",
    "appName": "string",
    "rtmpBase": "string",
    "rtmpKey": "string"
  }'
```


### Responses


#### 200 — Stream destination created successfully

- `id` (string)
- `appName` (string)
- `label` (string)
- `rtmpBase` (string)
- `oauth` (DestinationOAuthConfig)
  - `keepDefaultTitles` (boolean)
  - `titlesSource` (string)
  - `title` (string)
  - `description` (string)
  - `privacy` (string)
  - `autoStart` (boolean)
  - `autoStop` (boolean)
  - `rewind` (boolean)
  - `plannedStartTime` (string<date-time>)
  - `metadata` (object)
  - `userAppDetails` (object)
- `updatedAt` (string<date-time>)
- `isPinned` (boolean)
- `isDisabled` (boolean)


```json
{
  "id": "pb_xxxxxxxxx",
  "appName": "youtube",
  "label": "string",
  "rtmpBase": "string",
  "oauth": {
    "keepDefaultTitles": false,
    "titlesSource": "original",
    "title": "string",
    "description": "string",
    "privacy": "string",
    "autoStart": false,
    "autoStop": false,
    "rewind": false,
    "plannedStartTime": "2026-01-31T09:00:00.000Z",
    "metadata": {},
    "userAppDetails": {}
  },
  "updatedAt": "2026-01-31T09:00:00.000Z",
  "isPinned": false,
  "isDisabled": false
}
```


#### 401 — Unauthorized


#### 404 — Stream not found

